Subject: Re: 23.1; man.el{,c} fails to load when utf-8 mode enabled

From: [email-masked] (Randal L. Schwartz)
Date: Tue, 06 Apr 2010 08:53:50 -0700

>>>>> "Chong" == Chong Yidong <[email-masked]> writes:

>> In my .emacs, I have:
>> 
>> (set-terminal-coding-system 'utf-8)
>> (set-keyboard-coding-system 'utf-8)
>> 
>> When I invoke M-x man, I get an invalid byte when trying to load
>> either the man.el or the man.elc.

Chong> Thanks for the bug report, but it's took vague for me to reproduce; for
Chong> instance, what do you mean by "get an invalid byte"?  Could you provide
Chong> a testcase starting from `emacs -Q'?

I imagine it'd be something like

emacs -Q

M-: (set-terminal-coding-system 'utf-8) RET
M-: (set-keyboard-coding-system 'utf-8) RET
M-: (load-library "man) RET

which will blow up while trying to read the "man" library.  There's
something both the man.el and man.elc versions that is *not* utf-8
encoded, probably just latin1.

-- 
Randal L. Schwartz - Stonehenge Consulting Services, Inc. - +1 503 777 0095
<[email-masked]> <URL:http://www.stonehenge.com/merlyn/>
Smalltalk/Perl/Unix consulting, Technical writing, Comedy, etc. etc.
See http://methodsandmessages.vox.com/ for Smalltalk and Seaside discussion